## QOS Swi Read Data Stats request

QOS Swi Read Data Stats request

## Functions

QmiMessageQosSwiReadDataStatsInput * | qmi_message_qos_swi_read_data_stats_input_new ()
QmiMessageQosSwiReadDataStatsInput * | qmi_message_qos_swi_read_data_stats_input_ref ()
void | qmi_message_qos_swi_read_data_stats_input_unref ()
gboolean | qmi_message_qos_swi_read_data_stats_input_get_apn_id ()
gboolean | qmi_message_qos_swi_read_data_stats_input_set_apn_id ()
QmiMessageQosSwiReadDataStatsOutput * | qmi_message_qos_swi_read_data_stats_output_ref ()
void | qmi_message_qos_swi_read_data_stats_output_unref ()
gboolean | qmi_message_qos_swi_read_data_stats_output_get_result ()
gboolean | qmi_message_qos_swi_read_data_stats_output_get_apn ()
gboolean | qmi_message_qos_swi_read_data_stats_output_get_flow ()
void | qmi_client_qos_swi_read_data_stats ()
QmiMessageQosSwiReadDataStatsOutput * | qmi_client_qos_swi_read_data_stats_finish ()

## Types and Values

| QmiMessageQosSwiReadDataStatsInput
| QmiMessageQosSwiReadDataStatsOutput
| QmiMessageQosSwiReadDataStatsOutputFlowElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageQosSwiReadDataStatsInput
        ╰── QmiMessageQosSwiReadDataStatsOutput

## Description

## Functions

### qmi_message_qos_swi_read_data_stats_input_new ()

    QmiMessageQosSwiReadDataStatsInput *
    qmi_message_qos_swi_read_data_stats_input_new
                                   (void);

Allocates a new QmiMessageQosSwiReadDataStatsInput.

#### Returns

the newly created QmiMessageQosSwiReadDataStatsInput. The returned value should be freed with `qmi_message_qos_swi_read_data_stats_input_unref()`.

Since: 1.22

### qmi_message_qos_swi_read_data_stats_input_ref ()

    QmiMessageQosSwiReadDataStatsInput *
    qmi_message_qos_swi_read_data_stats_input_ref
                                   (QmiMessageQosSwiReadDataStatsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_qos_swi_read_data_stats_input_unref ()

    void
    qmi_message_qos_swi_read_data_stats_input_unref
                                   (QmiMessageQosSwiReadDataStatsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsInput. |

Since: 1.22

### qmi_message_qos_swi_read_data_stats_input_get_apn_id ()

    gboolean
    qmi_message_qos_swi_read_data_stats_input_get_apn_id
                                   (QmiMessageQosSwiReadDataStatsInput *self,
                                    guint32 *value_apn_id,
                                    GError **error);

Get the 'Apn Id' field from `self` .

#### Parameters

self | a QmiMessageQosSwiReadDataStatsInput. |
value_apn_id | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_qos_swi_read_data_stats_input_set_apn_id ()

    gboolean
    qmi_message_qos_swi_read_data_stats_input_set_apn_id
                                   (QmiMessageQosSwiReadDataStatsInput *self,
                                    guint32 value_apn_id,
                                    GError **error);

Set the 'Apn Id' field in the message.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsInput. |
value_apn_id | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_qos_swi_read_data_stats_output_ref ()

    QmiMessageQosSwiReadDataStatsOutput *
    qmi_message_qos_swi_read_data_stats_output_ref
                                   (QmiMessageQosSwiReadDataStatsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_qos_swi_read_data_stats_output_unref ()

    void
    qmi_message_qos_swi_read_data_stats_output_unref
                                   (QmiMessageQosSwiReadDataStatsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsOutput. |

Since: 1.22

### qmi_message_qos_swi_read_data_stats_output_get_result ()

    gboolean
    qmi_message_qos_swi_read_data_stats_output_get_result
                                   (QmiMessageQosSwiReadDataStatsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageQosSwiReadDataStatsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_message_qos_swi_read_data_stats_output_get_apn ()

    gboolean
    qmi_message_qos_swi_read_data_stats_output_get_apn
                                   (QmiMessageQosSwiReadDataStatsOutput *self,
                                    guint32 *value_apn_apn_id,
                                    guint32 *value_apn_tx_packets,
                                    guint32 *value_apn_tx_packets_dropped,
                                    guint32 *value_apn_rx_packets,
                                    guint64 *value_apn_tx_bytes,
                                    guint64 *value_apn_tx_bytes_dropped,
                                    guint64 *value_apn_rx_bytes,
                                    GError **error);

Get the 'Apn' field from `self` .

#### Parameters

self | a QmiMessageQosSwiReadDataStatsOutput. |
value_apn_apn_id | a placeholder for the output guint32, or `NULL` if not required. |
value_apn_tx_packets | a placeholder for the output guint32, or `NULL` if not required. |
value_apn_tx_packets_dropped | a placeholder for the output guint32, or `NULL` if not required. |
value_apn_rx_packets | a placeholder for the output guint32, or `NULL` if not required. |
value_apn_tx_bytes | a placeholder for the output guint64, or `NULL` if not required. |
value_apn_tx_bytes_dropped | a placeholder for the output guint64, or `NULL` if not required. |
value_apn_rx_bytes | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_qos_swi_read_data_stats_output_get_flow ()

    gboolean
    qmi_message_qos_swi_read_data_stats_output_get_flow
                                   (QmiMessageQosSwiReadDataStatsOutput *self,
                                    GArray **value_flow,
                                    GError **error);

Get the 'Flow' field from `self` .

#### Parameters

self | a QmiMessageQosSwiReadDataStatsOutput. |
value_flow | a placeholder for the output GArray of QmiMessageQosSwiReadDataStatsOutputFlowElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_client_qos_swi_read_data_stats ()

    void
    qmi_client_qos_swi_read_data_stats (QmiClientQos *self,
                                        QmiMessageQosSwiReadDataStatsInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Swi Read Data Stats request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_qos_swi_read_data_stats_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientQos. |
input | a QmiMessageQosSwiReadDataStatsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_qos_swi_read_data_stats_finish ()

    QmiMessageQosSwiReadDataStatsOutput *
    qmi_client_qos_swi_read_data_stats_finish
                                   (QmiClientQos *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_qos_swi_read_data_stats()`.

#### Parameters

self | a QmiClientQos. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_qos_swi_read_data_stats()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageQosSwiReadDataStatsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_qos_swi_read_data_stats_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageQosSwiReadDataStatsInput

    typedef struct _QmiMessageQosSwiReadDataStatsInput QmiMessageQosSwiReadDataStatsInput;

The QmiMessageQosSwiReadDataStatsInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageQosSwiReadDataStatsOutput

    typedef struct _QmiMessageQosSwiReadDataStatsOutput QmiMessageQosSwiReadDataStatsOutput;

The QmiMessageQosSwiReadDataStatsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageQosSwiReadDataStatsOutputFlowElement

    typedef struct {
        guint32 bearer_id;
        guint32 tx_packets;
        guint32 tx_packets_dropped;
        guint64 tx_bytes;
        guint64 tx_bytes_dropped;
    } QmiMessageQosSwiReadDataStatsOutputFlowElement;

A QmiMessageQosSwiReadDataStatsOutputFlowElement struct.

#### Members

guint32 `bearer_id`; | a guint32. |
guint32 `tx_packets`; | a guint32. |
guint32 `tx_packets_dropped`; | a guint32. |
guint64 `tx_bytes`; | a guint64. |
guint64 `tx_bytes_dropped`; | a guint64. |

Since: 1.22